Interface: OIDCProvider
Defined in: src/auth/OIDCStrategy.ts:51
Properties
authorizationURL
authorizationURL:
string
Defined in: src/auth/OIDCStrategy.ts:55
The URL of the provider's API that will be used to perform authorization requests.
clientID
clientID:
string
Defined in: src/auth/OIDCStrategy.ts:57
The unique identifier that has been provided by the OIDC provider.
clientSecret
clientSecret:
string
Defined in: src/auth/OIDCStrategy.ts:59
The shared secret that has been provided by the OIDC provider.
issuer?
optionalissuer?:string
Defined in: src/auth/OIDCStrategy.ts:94
The expected iss claim of ID tokens from this provider. Required when protocol is
openid and the provider returns an id_token.
jwksURI?
optionaljwksURI?:string
Defined in: src/auth/OIDCStrategy.ts:89
The provider's JWKS endpoint, used to verify ID token signatures. Required when protocol
is openid and the provider returns an id_token.
name
name:
string
Defined in: src/auth/OIDCStrategy.ts:53
The unique name of the provider that can be used for authentication.
pkce?
optionalpkce?:boolean|PkceMethod
Defined in: src/auth/OIDCStrategy.ts:65
Indicates whether PKCE is required by the OIDC provider. Set to true to allow either
S256 or plain (the client may choose), or set to "S256"/"plain" to require that
specific method regardless of what the client requests.
profileMap?
optionalprofileMap?:any
Defined in: src/auth/OIDCStrategy.ts:70
The default transformation map to use to convert the third-party profile data to an OIDCProfile.
Default is DEFAULT_PROFILE_MAP.
profileURL?
optionalprofileURL?:string
Defined in: src/auth/OIDCStrategy.ts:72
The URL of the provider's API that the user profile can be retrieved from.
protocol
protocol:
string
Defined in: src/auth/OIDCStrategy.ts:74
The authentication protocol to use (e.g. OIDC 2.0 or Open ID).
redirectURI
redirectURI:
string|string[]
Defined in: src/auth/OIDCStrategy.ts:80
The callback URI (or list of allowed callback URIs) that have been registered with the OIDC
provider. A caller may request a specific redirect_uri via query parameter, but only a value
that exactly matches one of these is honored — anything else is rejected.
scope?
optionalscope?:string[]
Defined in: src/auth/OIDCStrategy.ts:82
The list of scopes to request during the authentication process. Default is none.
tokenURL
tokenURL:
string
Defined in: src/auth/OIDCStrategy.ts:84
The URL of the provider's API that will perform token exchange.